dnl @synopsis PETI_PEDANTIC_GCC
dnl obsoleted - if you need it then contact the original author
dnl !
dnl For development purposes, it is desirable to have autoconf
dnl automatically enable warnings when compiling C or C++ sources. In
dnl case the underlying compiler is a gcc, the appropriate flags are
dnl "-Wall -pedantic". This macro will add them to $CFLAGS and
dnl $CXXFLAGS if $CC is found to be a gcc.
dnl
dnl @author Peter Simons <simons@computer.org>
dnl @version $Id: peti_pedantic_gcc.m4,v 1.3 2003/04/16 10:04 ac-archive-0.5.57 $

AC_DEFUN([PETI_PEDANTIC_GCC],
    [
    if test "$GCC" = yes; then
        CFLAGS="$CFLAGS -Wall -pedantic"
        CXXFLAGS="$CXXFLAGS -Wall -pedantic"
        fi
    ])
