dnl @synopsis AC_CHECK_CC_OPT(flag, cachevarname)
dnl obsoleted - use CFLAGS/CXXFLAGS related macros as soon as possible
dnl
dnl AC_CHECK_CC_OPT(-fvomit-frame,vomitframe)
dnl would show a message as like
dnl "checking wether gcc accepts -fvomit-frame ... no"
dnl and sets the shell-variable $vomitframe to either "-fvomit-frame"
dnl or (in this case) just a simple "". In many cases you would then call
dnl AC_SUBST(_fvomit_frame_,$vomitframe) to create a substitution that
dnl could be fed as "CFLAGS = @_funsigned_char_@ @_fvomit_frame_@
dnl
dnl in consequence this function is much more general than their
dnl specific counterparts like ac_cxx_rtti.m4 that will test for
dnl -fno-rtti -fno-exceptions
dnl
dnl this macro will be obsolete in the very near future - there should
dnl be two macros AX_CFLAGS_OPTION and AX_CXXFLAGS_OPTION that will add
dnl directly to the CFLAGS/CXXFLAGS unless a ac_subst-variable was given.
dnl Remind me of doing so if I forget about writing it all up - to use
dnl $CC-cc directly in here instead of ac_compile macro is bad anyway.
dnl
dnl @version $Id: ac_check_cc_opt.m4,v 1.3 2003/10/29 02:13 ac-archive-0.5.57 $
dnl @author  Guido Draheim <guidod@gmx.de>

AC_DEFUN([AC_CHECK_CC_OPT],
[AC_CACHE_CHECK(whether ${CC-cc} accepts [$1], [$2],
[AC_SUBST($2)
echo 'void f(){}' > conftest.c
if test -z "`${CC-cc} -c $1 conftest.c 2>&1`"; then
  $2="$1"
else
  $2=""
fi
rm -f conftest*
])])
