dnl @synopsis RSSH_CHECK_SUNPRO_C([ACTION-IF-YES],[ACTION-IF-NOT])
dnl
dnl Check whether we are using SUN workshop C compiler.
dnl The corresponding cache values is rssh_cv_check_sunpro_c, which is
dnl set to "yes" or "no" respectively.
dnl
dnl @author  Ruslan Shevchenko <Ruslan@Shevchenko.Kiev.UA>
dnl @version $Id: rssh_check_sunpro_c.m4,v 1.1.1.1 2001/07/26 00:46 ac-archive-0.5.57 $
dnl
AC_DEFUN([RSSH_CHECK_SUNPRO_C],
[AC_CACHE_CHECK([whether using Sun Worckshop C compiler],
                [rssh_cv_check_sunpro_c],

[AC_LANG_SAVE
 AC_LANG_C
 AC_TRY_COMPILE([],
[#ifndef __SUNPRO_C
# include "error: this is not Sun Workshop."
#endif
],
               rssh_cv_check_sunpro_c=yes,
                rssh_cv_check_sunpro_c=no)
AC_LANG_RESTORE])
if test ${rssh_cv_check_sunpro_c} = yes
then
  $2
else
  $3
fi
])dnl
